package service

import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
	discoveryM "git.loafle.net/overflow/overflow_commons_go/modules/discovery/model"
	"git.loafle.net/overflow/overflow_discovery/discovery"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*DiscoveryService)(nil)))
}

type DiscoveryService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
}

func (ds *DiscoveryService) DiscoverZone(requesterID string, dz *discoveryM.DiscoveryZone) error {

	discovery.DiscoverZone(requesterID, dz)

	return nil
}

func (ds *DiscoveryService) DiscoverHost(requesterID string, zone *discoveryM.Zone, dz *discoveryM.DiscoveryHost) error {

	return nil
}

func (ds *DiscoveryService) DiscoverPort(requesterID string, host *discoveryM.Host, dz *discoveryM.DiscoveryPort) error {

	return nil
}

func (ds *DiscoveryService) DiscoverService(requesterID string, port *discoveryM.Port, dz *discoveryM.DiscoveryService) error {

	return nil
}

func (ds *DiscoveryService) Stop() error {

	return nil
}
